Bug 509189 - "internal error" shown for a trivial user error
"internal error" shown for a trivial user error
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
: StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 13:25 EDT by Paolo Bonzini
Modified: 2009-12-14 16:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-07 11:55:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample configuration file for the domain (345 bytes, application/xml)
2009-07-01 13:26 EDT, Paolo Bonzini
no flags Details
tentative patch (654 bytes, patch)
2009-07-01 13:27 EDT, Paolo Bonzini
no flags Details | Diff

  None (edit)
Description Paolo Bonzini 2009-07-01 13:25:19 EDT
Description of problem:
libvirtd's qemu component shows "internal error: Network 'default' not found" when a non-root user tries to start a domain with a tap network.

Version-Release number of selected component (if applicable):
0.6.3-11

How reproducible:
Running "virsh create foo.xml" to start a domain that has a tap network.

Steps to Reproduce:
1. Download the attached netkvm.xml
2. Run "virsh create netkvm.xml"
  
Actual results:
Last error message is "error: internal error Network 'default' not found"

Expected results:
The error message should not convince the user that the "default" Network will always be present.
Comment 1 Paolo Bonzini 2009-07-01 13:26:00 EDT
Created attachment 350155 [details]
sample configuration file for the domain
Comment 2 Paolo Bonzini 2009-07-01 13:27:20 EDT
Created attachment 350159 [details]
tentative patch
Comment 3 Daniel Veillard 2009-07-07 11:55:42 EDT
Applied (slightly modified) upstream,

 thanks !

Daniel

Note You need to log in before you can comment on or make changes to this bug.